## org.apache.commons.collections.iterators
Class EmptyOrderedMapIterator

    java.lang.Object
      org.apache.commons.collections.iterators.AbstractEmptyIterator
          org.apache.commons.collections.iterators.EmptyOrderedMapIterator

All Implemented Interfaces:
  Iterator, MapIterator, OrderedIterator, OrderedMapIterator, ResettableIterator

public class EmptyOrderedMapIterator
extends org.apache.commons.collections.iterators.AbstractEmptyIterator
implements OrderedMapIterator, ResettableIterator

Provides an implementation of an empty ordered map iterator.

Since:
  Commons Collections 3.1
Version:
  $Revision: 1.1 $ $Date: 2004/05/22 09:46:39 $
Author:
  Stephen Colebourne

Field Summary
`static OrderedMapIterator` `INSTANCE` Singleton instance of the iterator.

Constructor Summary
`protected` `EmptyOrderedMapIterator()` Constructor.

Method Summary
`void` `add(Object obj)`
`Object` `getKey()` Gets the current key, which is the key returned by the last call to `next()`.
`Object` `getValue()` Gets the current value, which is the value associated with the last key returned by `next()`.
`boolean` `hasNext()` Checks to see if there are more entries still to be iterated.
`boolean` `hasPrevious()` Checks to see if there is a previous entry that can be iterated to.
`Object` `next()` Gets the next key from the `Map`.
`int` `nextIndex()`
`Object` `previous()` Gets the previous key from the `Map`.
`int` `previousIndex()`
`void` `remove()` Removes the last returned key from the underlying `Map` (optional operation).
`void` `reset()` Resets the iterator back to the position at which the iterator was created.
`void` `set(Object obj)`
`Object` `setValue(Object value)` Sets the value associated with the current key (optional operation).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.OrderedMapIterator
`hasPrevious, previous`

Methods inherited from interface org.apache.commons.collections.MapIterator
`getKey, getValue, hasNext, next, remove, setValue`

Methods inherited from interface org.apache.commons.collections.ResettableIterator
`reset`

Field Detail

### INSTANCE

    public static final OrderedMapIterator INSTANCE

  Singleton instance of the iterator.

  Since:
    Commons Collections 3.1

Constructor Detail

### EmptyOrderedMapIterator

    protected EmptyOrderedMapIterator()

  Constructor.

Method Detail

### hasNext

    public boolean hasNext()

### next

    public Object next()

### hasPrevious

    public boolean hasPrevious()

### previous

    public Object previous()

### nextIndex

    public int nextIndex()

### previousIndex

    public int previousIndex()

### add

    public void add(Object obj)

### set

    public void set(Object obj)

### remove

    public void remove()

### getKey

    public Object getKey()

### getValue

    public Object getValue()

### setValue

    public Object setValue(Object value)

### reset

    public void reset()

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.